Bug 1125945 (kqtquickcharts) - Review Request: kqtquickcharts - A QtQuick plugin to render beautiful and interactive charts
Summary: Review Request: kqtquickcharts - A QtQuick plugin to render beautiful and int...
Keywords:
Status: CLOSED ERRATA
Alias: kqtquickcharts
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews kde-4.13 1125461 artikulate
TreeView+ depends on / blocked
 
Reported: 2014-08-01 12:00 UTC by Rex Dieter
Modified: 2014-08-16 22:31 UTC (History)
2 users (show)

Fixed In Version: ktouch-4.13.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-16 22:31:27 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2014-08-01 12:00:50 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kde/kqtquickcharts.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde/kqtquickcharts-4.13.3-1.fc20.src.rpm
Description: A QtQuick plugin to render beautiful and interactive charts
Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2014-08-01 12:39:15 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7223955

Comment 2 Christopher Meng 2014-08-05 10:14:04 UTC
If you accept a review swap, I will review this tomorrow ;)

Comment 3 Rex Dieter 2014-08-05 13:15:55 UTC
ok, what do you need reviewed?

Comment 4 Christopher Meng 2014-08-06 07:28:52 UTC



Swap with bug 1123690.

Comment 5 Christopher Meng 2014-08-06 07:34:26 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL". Detailed output of licensecheck:

LGPL
----
kqtquickcharts-4.13.3/src/barchartcore.cpp
kqtquickcharts-4.13.3/src/barchartcore.h
kqtquickcharts-4.13.3/src/barchartsegment.cpp
kqtquickcharts-4.13.3/src/barchartsegment.h
kqtquickcharts-4.13.3/src/chartcore.cpp
kqtquickcharts-4.13.3/src/chartcore.h
kqtquickcharts-4.13.3/src/chartforegroundpainter.cpp
kqtquickcharts-4.13.3/src/chartforegroundpainter.h
kqtquickcharts-4.13.3/src/chartplugin.cpp
kqtquickcharts-4.13.3/src/chartplugin.h
kqtquickcharts-4.13.3/src/dimension.cpp
kqtquickcharts-4.13.3/src/dimension.h
kqtquickcharts-4.13.3/src/linechartbackgroundpainter.cpp
kqtquickcharts-4.13.3/src/linechartbackgroundpainter.h
kqtquickcharts-4.13.3/src/linechartcore.cpp
kqtquickcharts-4.13.3/src/linechartcore.h
kqtquickcharts-4.13.3/src/linechartpainter.cpp
kqtquickcharts-4.13.3/src/linechartpainter.h
kqtquickcharts-4.13.3/src/linechartpoint.cpp
kqtquickcharts-4.13.3/src/linechartpoint.h

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Installation errors
-------------------
INFO: mock.py version 1.1.41 starting...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Mock Version: 1.1.41
INFO: Mock Version: 1.1.41
Start: lock buildroot
INFO: installing package(s): /home/rpmaker/Desktop/kqtquickcharts/results/kqtquickcharts-4.13.3-1.fc22.i686.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-i386/root/', '--releasever', '22', 'install', '/home/rpmaker/Desktop/kqtquickcharts/results/kqtquickcharts-4.13.3-1.fc22.i686.rpm']
Error: Package: kqtquickcharts-4.13.3-1.fc22.i686 (/kqtquickcharts-4.13.3-1.fc22.i686)
           Requires: kde-runtime >= 4.13.97
           Available: kde-runtime-4.13.3-2.fc22.i686 (fedora)
               kde-runtime = 4.13.3-2.fc22
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: kqtquickcharts-4.13.3-1.fc22.i686.rpm
          kqtquickcharts-4.13.3-1.fc22.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Requires
--------
kqtquickcharts (rpmlib, GLIBC filtered):
    kde-runtime
    libQtCore.so.4
    libQtDBus.so.4
    libQtDeclarative.so.4
    libQtGui.so.4
    libQtScript.so.4
    libQtSvg.so.4
    libc.so.6
    libgcc_s.so.1
    libkdecore.so.5
    libkdeui.so.5
    libm.so.6
    libplasma.so.3
    libpthread.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)



Provides
--------
kqtquickcharts:
    kqtquickcharts
    kqtquickcharts(x86-32)
    libkqtquickcharts.so



Unversioned so-files
--------------------
kqtquickcharts: /usr/lib/kde4/imports/org/kde/charts/libkqtquickcharts.so

Source checksums
----------------
http://download.kde.org/stable/4.13.3/src/kqtquickcharts-4.13.3.tar.xz :
  CHECKSUM(SHA256) this package     : fec36b2ff7f34f5f9418e61841a9c8eebfea22ef2ac69929848b9ed0f404e2c4
  CHECKSUM(SHA256) upstream package : fec36b2ff7f34f5f9418e61841a9c8eebfea22ef2ac69929848b9ed0f404e2c4


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn kqtquickcharts-4.13.3-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

-------------------
1. The install error should be a false positive as I've updated the KDE to 4.13.97(although I can't use KDE for 7 months this year due to a bug), but mock cache is still out of date.

2. The license you wrote in the spec is GPL, but I can't find any info in the sources, all are LGPLv2(+, ?) licensed.

Comment 6 Rex Dieter 2014-08-07 19:09:32 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kde/kqtquickcharts.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde/kqtquickcharts-4.13.3-2.fc20.src.rpm

%changelog
* Thu Aug 07 2014 Rex Dieter <rdieter@fedoraproject.org> 4.13.3-2
- # KDE e.V. may determine that future GPL versions are accepted
- License: LGPLv2 or LGPLv3

Comment 7 Rex Dieter 2014-08-07 19:10:14 UTC
make that...
# KDE e.V. may determine that future LGPL versions are accepted
(with an L)

Comment 8 Christopher Meng 2014-08-08 01:08:44 UTC
PACKAGE APPROVED.

Comment 9 Rex Dieter 2014-08-08 13:25:53 UTC
New Package SCM Request
=======================
Package Name: kqtquickcharts
Short Description: A QtQuick plugin to render beautiful and interactive charts
Upstream URL: https://projects.kde.org/projects/kde/kdeedu/kqtquickcharts
Owners: than jreznik ltinkl rnovacek rdieter kkofler
Branches: f20 f21

Comment 10 Gwyn Ciesla 2014-08-08 16:24:14 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-08-08 16:52:14 UTC
kqtquickcharts-4.13.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kqtquickcharts-4.13.3-2.fc20

Comment 12 Fedora Update System 2014-08-09 07:33:02 UTC
Package ktouch-4.13.3-2.fc20, kqtquickcharts-4.13.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ktouch-4.13.3-2.fc20 kqtquickcharts-4.13.3-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9296/ktouch-4.13.3-2.fc20,kqtquickcharts-4.13.3-2.fc20
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2014-08-16 22:31:27 UTC
ktouch-4.13.3-2.fc20, kqtquickcharts-4.13.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.